Subject: bug#16879: 24.3.50; Error running timer `font-latex-jit-lock-force-redisplay'

From: Stefan Monnier <[email-masked]>
Date: Wed, 26 Feb 2014 10:51:06 -0500

Thanks, it's a bug in GNU ELPA's AUCTeX package.  I'll try to get a fix for
it in the next few days, unless someone beats me to it,

        Stefan

>>>>> "Sebastien" == Sebastien Vauban <[email-masked]> writes:

> Hello Nicolas,

> Nicolas Richard wrote:
>> Sebastien Vauban writes:
>>> ╭────
>>> │ Error running timer `font-latex-jit-lock-force-redisplay':
>>> │ (wrong-number-of-arguments (2 . 2) 3) [2 times]
>>> ╰────
>> 
>> The function `font-latex-jit-lock-force-redisplay' is provided by
>> auctex. This bug was (temporarily) fixed in the auctex repository in
>> commit 5b5ef6ee.
>> 
>> Here's the commit msg:
>> * font-latex.el (font-latex-jit-lock-force-redisplay): Don't rely
>> on existing `jit-lock-force-redisplay' because recent bzr Emacs
>> broke compatibility changing the number of arguments.  Reported by
>> Robert Goldman.
>> 
>> See also bug #14394
>> 
>> The fix was temporary.
>> 
>> Here's the more recent definition of
>> font-latex-jit-lock-force-redisplay:
>> (defun font-latex-jit-lock-force-redisplay (buf start end)
>> "Compatibility for Emacsen not offering `jit-lock-force-redisplay'."
>> ;; The following block is an expansion of `jit-lock-force-redisplay'
>> ;; and involved macros taken from CVS Emacs on 2007-04-28.
>> (with-current-buffer buf
>> (let ((modified (buffer-modified-p)))
>> (unwind-protect
>> (let ((buffer-undo-list t)
>> (inhibit-read-only t)
>> (inhibit-point-motion-hooks t)
>> (inhibit-modification-hooks t)
>> deactivate-mark
>> buffer-file-name
>> buffer-file-truename)
>> (put-text-property start end 'fontified t))
>> (unless modified
>> (restore-buffer-modified-p nil))))))
>> 
>> I suggest you update auctex -- but perhaps using the above definition
>> will be sufficient.

> AFAICT, I am up-to-date... with the `latex' ELPA package. Why isn't that
> package redone, so that such fixes are distributed?

> Anyway, I'm not really bothered by this problem. My goal was just
> reporting it, so that it gets eventually fixed.

> Thanks for your helpful answer.

> Best regards,
>   Seb

> -- 
> Sebastien Vauban